# How To Create Key Pair

## Goal

Create a public and private key pair for signing transactions.

## Before you begin

* Install the currently supported version of `cleos`.
* Understand the following:
  * What is a [public](https://docs.cyberway.io/users/glossary#public-key) and [private](https://docs.cyberway.io/users/glossary#private-key) key pair.

## Steps

To output the key pair to the console

```bash
$ cleos create key --to-console
```

To save the key pair to file

```bash
$ cleos create key --file FILE_TO_SAVEKEY
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cyberway.io/software_manuals/how_to_guides/create_key_pair.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
